> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Nport Fund Filings

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/nport/{ticker}/filings

Get N-PORT filing list for a specific private credit interval fund.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/n-port/credit-analysis-nport-fund-filings

## Request

### Path parameters

- `ticker` (string, required) — Fund ticker (e.g., CCLFX, AFT)

## Response

### 200

Successful Response

- `any`

## Errors

### 404 Not Found Error

Fund not found

- `error` (string, required) — Error kind. `HTTP_ERROR` for errors raised by the route.
- `message` (string, required) — What went wrong.
- `path` (string, required) — The request path.
- `status_code` (integer, optional) — The HTTP status code.

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Examples

**SDK Code**

```python
import json
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"
TICKER = "CCLFX"

headers = {
    "Authorization": f"Bearer {API_KEY}",
}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/nport/{TICKER}/filings",
    headers=headers,
    timeout=30.0
)

print(json.dumps(response.json(), indent=2))
```

```typescript
const BASE_URL = "https://api.filesearch.dev";

const API_KEY = "your_api_key";

const ticker = "CCLFX";

const headers = {
  Authorization: `Bearer ${API_KEY}`,
};

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/nport/${ticker}/filings`, {
  method: "GET",
  headers,
});

const data = await response.json();
console.log(JSON.stringify(data, null, 2));
```